# 1.0.0[−][src]Module std::os::windows::fs

This is supported on Windows only.

Windows-specific extensions for the primitives in the `std::fs` module.

## Traits

FileExt | Windows Windows-specific extensions to `File`.
MetadataExt | Windows Windows-specific extensions to `fs::Metadata`.
OpenOptionsExt | Windows Windows-specific extensions to `fs::OpenOptions`.
FileTypeExt | Experimental Windows Windows-specific extensions to `FileType`.

## Functions

symlink_dir | Windows Creates a new directory symlink on the filesystem.
symlink_file | Windows Creates a new file symbolic link on the filesystem.